using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Shared.DataAccess;

namespace Vevo.Shared.DataAccess.Implementation
{
    public interface IDatabaseSql
    {
        string CreateBoolText( bool value );
        string CreateDateForComparison( string date );
        string DateDiffWithToday( string fieldName );
        string CreateIsNullFunction( string columnName );
        string CreateDateFormat( string date );
        string CreateHourFormat( string date );
        string CreateMonthNameFormat( string date );
        string CreateMonthNumberFormat( string date );
        string CreateYearFormat( string date );
        string CreateMonthYearFormat( string date );
        string CreateYearMonthFormat( string date );
        string CreateDivideFucntion( string standingNumber, string divisor );
        string CreateConvertBoolToSumInt( string data );
        string AddTablePrefixIfNecessary( string sortBy, string table );
        string CreateFalseToTrueBoolSortText();
    }


    public static class DbImplementation
    {
        private static IDatabaseSql _accessSql = new AccessDatabaseSql();
        private static IDatabaseSql _sqlServerSql = new SqlDatabaseSql();


        public static IDatabaseSql Sql
        {
            get
            {
                switch (DataAccessHelper.DbProviderName.ToLower())
                {
                    case "system.data.oledb":
                        return _accessSql;

                    case "system.data.sqlclient":
                        return _sqlServerSql;

                    default:
                        throw new
                            Exception( "Unknown DbProviderName '" + DataAccessHelper.DbProviderName + "'" );
                }
            }
        }
    }

}
