using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo.Shared.WebUI;
using Vevo.WebAppLib;

namespace Vevo
{
    // This class is necessary for URL Rewriting. 
    // In case of postback, the "action" property of the <form> is set to the "real" URL
    // (e.g. Catalog.aspx?CategoryID=14). Therefore, the postback causes the URL to 
    // switch back to "non-rewriting". 
    //
    // The workaround is to use ControlAdapter (defined in App_Browsers folder) to change
    // the postback location to the non-rewriting address.
    //
    // However, if the location only contains folders but not file name 
    // (e.g. http://localhost/VevoCart/), we cannot set action script that address
    // since the postback will fail as well.

    public class FormRewriterControlAdapter : System.Web.UI.Adapters.ControlAdapter
    {
        protected override void Render( System.Web.UI.HtmlTextWriter writer )
        {
            UrlPath urlPath = new UrlPath( HttpContext.Current.Request.Url.AbsoluteUri );

            //if (HttpContext.Current.Request.Url.AbsolutePath.ToLower().Contains( "/admin" ))
            if (!urlPath.IsStorefrontUrl())
                base.Render( writer );
            else
                base.Render( new RewriteFormHtmlTextWriter( writer ) );
        }

    }

}
