using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Base.Domain
{
    public interface IEntityList<T> : IList<T>
    {
        IList<T> GetAddedList();
        IList<T> GetUpdatedList();
        IList<T> GetRemovedList();

        // Indicate that this list is commited to the repository.
        // All added and deleted lists will be cleared.
        void AcceptChanges();

        IEntityList<T> Clone();
    }
}
