using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;

namespace Vevo.Domain.Products
{
    [Serializable]
    public class ProductImage : ICloneable, ILocaleLoader
    {
        #region private

        private string _productImageID = "0";
        private string _thumbnailImage = String.Empty;
        private string _regularImage = String.Empty;
        private string _largeImage = String.Empty;
        private int _sortOrder;
        private bool _isZoom;
        private bool _isEnlarge;

        private LocaleCollection<ProductImageLocale> _locales;
        #endregion

        #region Constructors

        public ProductImage()
        {
            _locales = new LocaleCollection<ProductImageLocale>( this );
        }

        #endregion

        #region Public

        public string ProductImageID { get { return _productImageID; } set { _productImageID = value; } }
        public string ThumbnailImage { get { return _thumbnailImage; } set { _thumbnailImage = value; } }
        public string RegularImage { get { return _regularImage; } set { _regularImage = value; } }
        public string LargeImage { get { return _largeImage; } set { _largeImage = value; } }
        public int SortOrder { get { return _sortOrder; } set { _sortOrder = value; } }
        public bool IsZoom { get { return _isZoom; } set { _isZoom = value; } }
        public bool IsEnlarge { get { return _isEnlarge; } set { _isEnlarge = value; } }

        public LocaleCollection<ProductImageLocale> Locales { get { return _locales; } }
        #endregion

        #region ICloneable Members

        public object Clone()
        {
            return MemberwiseClone();
        }

        #endregion

        #region ILocaleLoader Members
        public IList<ILocale> GetLocales()
        {
            List<ILocale> result = new List<ILocale>();

            foreach (ProductImageLocale locale in DataAccessContext.ProductRepository.GetImageLocales( ProductImageID ))
                result.Add( locale );

            return result;
        }
        #endregion
    }
}
