using System;
using Vevo.QuickBooks.Qbxml70;

namespace Vevo.QuickBooks.States
{
    /// <summary>
    /// Summary description for ProductQueryResponseState
    /// </summary>
    public class ProductQueryResponseState : QBWCState
    {
        private void MoveToNextState()
        {
            QBWCSession.CurrentState = new ProductModifyRequestState( QBWCSession );
        }

        private void ProcessRecieve( string response )
        {
            QBXMLMsgsRs qbXmlMsgsRs = CreateResponse( response );

            for (int i = 0; i < qbXmlMsgsRs.Items.Length; i++)
            {
                ItemNonInventoryQueryRsType result = (ItemNonInventoryQueryRsType) qbXmlMsgsRs.Items[i];
                if (result.statusCode.ToString() == "0")
                {
                    for (int j = 0; j < result.ItemNonInventoryRet.Length; j++)
                    {
                        QBWCSession.AddQBFullNameList( 
                            result.ItemNonInventoryRet[j].FullName.Trim(), 
                            result.ItemNonInventoryRet[j].ListID.Trim() );
                        QBWCSession.AddQBEditSequenceList(
                            result.ItemNonInventoryRet[j].ListID.Trim(),
                            result.ItemNonInventoryRet[j].EditSequence.Trim() );
                    }
                }
            }
        }

        public ProductQueryResponseState( QBWCSession session )
            : base( session )
        {
        }

        public override int OnReceiveResponseXml( string responseXml )
        {
            ProcessRecieve( responseXml );
            MoveToNextState();

            return 48;
        }
    }
}
