using System;
using System.Collections;
using System.Data;
using System.IO;
using System.Text;

namespace Vevo.Reports.Exporters
{
    public class ShippingReportExporter
    {
        public ShippingReportExporter()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private string GenerateHeader()
        {
            return "\"Shipping Method\",\"Use Count\",\"Percent\"";
        }

        private string GenerateDetail( DataRow row )
        {
            string name, useCount, percentage;
            name = row["ShippingMethod"].ToString();
            useCount = row["SumShippingMethod"].ToString();
            percentage = String.Format( "{0:n2} %", row["Percentage"].ToString() );

            return name + "," + useCount + "," + percentage;
        }

        public string ExportShippingReportData(
            PeriodType period,
            string filePhysicalPath,
            DateTime startDate,
            DateTime endDate,
            out string message,
            out string message1,
            out string fileNameLinkText )
        {
            ShippingReportBuilder shippingReportBuilder = new ShippingReportBuilder();
            DataTable table = shippingReportBuilder.GetShippingReportData(
                period,
                startDate,
                endDate );

            string filePathName = "Export/ShippingReport_from_" +
                startDate.Month + "_" + startDate.Day + "_" + startDate.Year + "_to_" +
                endDate.Month + "_" + endDate.Day + "_" + endDate.Year + ".csv";

            string filePhysicalPathName = filePhysicalPath + filePathName;

            if (table.Rows.Count > 0)
            {
                StreamWriter writer = new StreamWriter( filePhysicalPathName, false );
                writer.WriteLine( GenerateHeader() );

                string details;
                foreach (DataRow row in table.Rows)
                {
                    details = GenerateDetail( row );
                    writer.WriteLine( details );
                }
                writer.Dispose();
            }

            if (table.Rows.Count == 0)
            {
                message = "No data to export.";
                message1 = "";
                fileNameLinkText = "";
                return "";
            }
            else
            {
                message = "Export file is successfully create.";
                message1 = "Download ";
                fileNameLinkText = Path.GetFileName( filePathName );
                return "../DownloadFile.aspx?FilePath=" + "../" + filePathName;
            }
        }
    }
}
