﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Web;
using Vevo.WebServices.Products;
using Vevo.WebServices.Base;
using Vevo.WebServices.Security;
using Vevo.WebAppLib;
using Vevo.WebUI.DataAccessCache;
using Vevo.Domain;
using Vevo.Domain.International;
using System.Collections.Specialized;
using System.Collections;

namespace Vevo.WebServices.Cache
{
    public class CacheService: ICacheService
    {
        private void ClearLanguageCache()
        {
            PageAccessCache.ClearCache();
            LanguageTextAccessCache.ClearCache();
        }

        private void RemoveAllCacheInMemory()
        {
            StringCollection keysToRemove = new StringCollection();

            IDictionaryEnumerator cacheEnum = HttpRuntime.Cache.GetEnumerator();
            while (cacheEnum.MoveNext())
            {
                string key = cacheEnum.Key.ToString();
                keysToRemove.Add( key );
            }

            foreach (string item in keysToRemove)
            {
                HttpRuntime.Cache.Remove( item );
            }
        }

        private void LoadSystemConfig()
        {
            SystemConfig.Load();
        }

        public ResponseMessage ClearCache( RequestMessage ClearMessage )
        {
            ResponseMessage responseMessage = new ResponseMessage();
            responseMessage.ErrorMessage = String.Empty;
            if (WcfSessionPool.GetSession( ClearMessage.Ticket ) == null)
            {
                responseMessage.ErrorMessage = "Error: Authentication is failed.";
                return responseMessage;
            }
            try
            {
                ClearLanguageCache();
                LoadSystemConfig();
                RemoveAllCacheInMemory();
                       
                StandardCountryCollection.ClearCache();
            }
            catch (Exception e)
            {
                WebUtilities.LogError( e );
                responseMessage.ErrorMessage = "Error: Cannot clear cache";
            }

            return responseMessage;
        }
    }
}
